;
; Asterisk configuration file
;
; Module Loader configuration file
;

[modules]
autoload=yes
;
; Any modules that need to be loaded before the Asterisk core has been
; initialized (just after the logger has been initialized) can be loaded
; using 'preload'. This will frequently be needed if you wish to map all
; module configuration files into Realtime storage, since the Realtime
; driver will need to be loaded before the modules using those configuration
; files are initialized.
;
; An example of loading ODBC support would be:
;preload => res_odbc.so
;preload => res_config_odbc.so
preload => res_config_mysql.so
;
; Uncomment the following if you wish to use the Speech Recognition API
;preload => res_speech.so
;
; If you want Asterisk to fail if a module does not load, then use
; the "require" keyword. Asterisk will exit with a status code of 2
; if a required module does not load.
;
; require = chan_sip.so
; If you want you can combine with preload
; preload-require = res_odbc.so
;
; If you want, load the GTK console right away.
;
noload => pbx_gtkconsole.so
;load => pbx_gtkconsole.so
;
load => res_musiconhold.so
;
; Load one of: chan_oss, alsa, or console (portaudio).
; By default, load chan_oss only (automatically).
;
noload => chan_alsa.so
noload => chan_oss.so

noload => res_adsi.so
noload => res_ael_share.so
noload => res_ais.so
noload => res_calendar_caldav.so
noload => res_calendar_ews.so
noload => res_calendar_exchange.so
noload => res_calendar_icalendar.so
noload => res_calendar.so
noload => res_clialiases.so
noload => res_clioriginate.so
noload => res_config_curl.so
noload => res_config_ldap.so
noload => res_config_odbc.so
noload => res_config_pgsql.so
noload => res_config_sqlite.so
noload => res_convert.so
noload => res_crypto.so
noload => res_curl.so
noload => res_fax.so
noload => res_fax_spandsp.so
noload => res_http_post.so
noload => res_jabber.so
noload => res_limit.so
noload => res_monitor.so
noload => res_mutestream.so
noload => res_odbc.so
noload => res_phoneprov.so
noload => res_pktccops.so
noload => res_security_log.so
noload => res_smdi.so
noload => res_snmp.so
noload => res_speech.so
noload => res_stun_monitor.so
noload => res_timing_pthread.so

noload => chan_agent.so
noload => chan_gtalk.so
noload => chan_h323.so
noload => chan_iax2.so
noload => chan_jingle.so
noload => chan_local.so
noload => chan_mgcp.so
noload => chan_mobile.so
noload => chan_multicast_rtp.so
noload => chan_nbs.so
noload => chan_ooh323.so
noload => chan_phone.so
noload => chan_skinny.so
noload => chan_unistim.so
noload => chan_usbradio.so
noload => chan_vpb.so

noload => chan_agent.so
noload => chan_gtalk.so
noload => chan_h323.so
noload => chan_iax2.so
noload => chan_jingle.so
noload => chan_local.so
noload => chan_mgcp.so
noload => chan_mobile.so
noload => chan_multicast_rtp.so
noload => chan_nbs.so
noload => chan_ooh323.so
noload => chan_oss.so
noload => chan_phone.so
noload => chan_skinny.so
noload => chan_unistim.so
noload => chan_usbradio.so
noload => chan_vpb.so

noload => app_adsiprog.so
noload => app_alarmreceiver.so
noload => app_amd.so
noload => app_authenticate.so
noload => app_celgenuserevent.so
noload => app_chanisavail.so
noload => app_channelredirect.so
noload => app_chanspy.so
noload => app_confbridge.so
noload => app_dictate.so
noload => app_directed_pickup.so
noload => app_directory.so
noload => app_disa.so
noload => app_dumpchan.so
noload => app_externalivr.so
noload => app_festival.so
noload => app_getcpeid.so
noload => app_ices.so
noload => app_image.so
noload => app_jack.so
noload => app_milliwatt.so
noload => app_minivm.so
noload => app_mixmonitor.so
noload => app_morsecode.so
noload => app_mp3.so
noload => app_nbscat.so
noload => app_osplookup.so
noload => app_parkandannounce.so
noload => app_playtones.so
noload => app_privacy.so
noload => app_queue.so
noload => app_readfile.so
noload => app_record.so
noload => app_saycounted.so
noload => app_saycountpl.so
noload => app_sayunixtime.so
noload => app_senddtmf.so
noload => app_sendtext.so
noload => app_sms.so
noload => app_speech_utils.so
noload => app_talkdetect.so
noload => app_test.so
noload => app_url.so
noload => app_voicemail.so
noload => app_zapateller.so

noload => cdr_radius.so
noload => cdr_tds.so
noload => cdr_syslog.so
noload => cdr_sqlite3_custom.so
noload => cdr_pgsql.so
noload => cdr_sqlite.so
noload => cdr_adaptive_odbc.so
noload => cdr_odbc.so

noload => cel_odbc.so
noload => cel_pgsql.so
noload => cel_custom.so
noload => cel_manager.so
noload => cel_tds.so
noload => cel_radius.so
noload => cel_sqlite3_custom.so

noload => func_odbc.so
noload => func_curl.so

noload => pbx_ael.so
noload => pbx_lua.so
noload => pbx_spool.so
noload => pbx_loopback.so
noload => pbx_dundi.so
